# TODO: move to gtk4-update-icon-cache
Summary:	GNOME Chess - a 2D/3D chess interface
Summary(pl.UTF-8):	GNOME Chess - dwu i trójwymiarowy interfejs do szachów
Name:		gnome-chess
Version:	41.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-chess/41/%{name}-%{version}.tar.xz
# Source0-md5:	c6bcd5542c513db88db11eeac100b1c6
URL:		https://wiki.gnome.org/Apps/Chess
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gtk4-devel >= 4.0
BuildRequires:	librsvg-devel >= 1:2.46.0
BuildRequires:	meson >= 0.50
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.35.7
BuildRequires:	vala-librsvg >= 1:2.46.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.44.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.44.0
Requires:	gtk4 >= 4.0
Requires:	hicolor-icon-theme
Requires:	librsvg >= 1:2.46.0
Suggests:	crafty
Suggests:	gnuchess
Provides:	gnome-games-glchess = 1:%{version}-%{release}
Obsoletes:	glchess < 1.0.7
Obsoletes:	gnome-games-glchess < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Chess is a 2D/3D chess game interfacing via the Chess Engine
Communication Protocol (CECP) by Tim Mann. This means it can currently
use engines such as GNUChess, Sjeng, Faile, Amy, Crafty and Phalanx.

%description -l pl.UTF-8
GNOME Chess to dwu i trójwymiarowa gra w szachy komunikująca się za
pomocą protokołu CECP (Chess Engine Communication Protocol) Tima
Manna. Oznacza to, że aktualnie może używać silników takich jak
GNUChess, Sjeng, Faile, Amy, Crafty i Phalanx.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-chess
%dir %{_sysconfdir}/gnome-chess
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gnome-chess/engines.conf
%{_datadir}/dbus-1/services/org.gnome.Chess.service
%{_datadir}/glib-2.0/schemas/org.gnome.Chess.gschema.xml
%{_datadir}/metainfo/org.gnome.Chess.appdata.xml
%{_desktopdir}/org.gnome.Chess.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Chess.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Chess-symbolic.svg
%{_mandir}/man6/gnome-chess.6*
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-chess.git;a=log;h=master

* Fri Sep 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 4b5d468
- updated to 41.0

* Thu Apr 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 6a390df
- updated to 40.1

* Fri Apr 02 2021 Jakub Bogusz <qboosh@pld-linux.org> 606a3c5
- release 2

* Fri Apr 02 2021 Jakub Bogusz <qboosh@pld-linux.org> 7ec03ee
- uses gtk4 now

* Thu Apr 01 2021 Jakub Bogusz <qboosh@pld-linux.org> b43281f
- updated to 40.0
- versioned Obsoletes

* Sun Dec 06 2020 Jakub Bogusz <qboosh@pld-linux.org> a2cd2c2
- updated to 3.38.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> dfc5fe4
- updated to 3.38.0

* Sun May 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 80b988c
- updated to 3.36.1

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> d905b09
- updated to 3.36.0

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 28f4270
- updated to 3.34.0

* Mon Jan 28 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 38de057
- Updated to 3.30.0

* Wed Jul 19 2017 Jakub Bogusz <qboosh@pld-linux.org> f3b87d1
- updated vala version, librsvg epoch

* Fri Apr 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 588abb3
- Update to 3.24.1

* Thu Mar 30 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 91fc245
- Update to 3.24.0

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 7185ea5
- updated to 3.22.2

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 34f7846
- updated to 3.18.0

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 3e7432e
- updated to 3.16.2

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 9103254
- updated to 3.14.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1b4fbad
- updated gettext BR

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 2ec17a2
- rebuild libtool too

